REM &1 = REQPRO_DATA
REM &2 = SMALL
REM &3 = MEDIUM
REM &4 = LARGE
REM &5 = REQS
REM &6 = REQHIST
REM &7 = MAX_VARCHAR

CREATE TABLE RQDISCUSSIONGROUPS (
       DISCUSSIONID         NUMBER(10) DEFAULT 0 NOT NULL,
       GROUPID              NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQDISCUSSIONREQUIREMENTS (
       DISCUSSIONID         NUMBER(10) DEFAULT 0 NOT NULL,
       REQUIREMENTID        NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQDISCUSSIONS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       ROOTID               NUMBER(10) DEFAULT 0 NOT NULL,
       PARENTID             NUMBER(10) NULL,
       SUBJECT              VARCHAR2(255) NOT NULL,
       MESSAGE              LONG VARCHAR NULL,
       AUTHORID             NUMBER(10) DEFAULT 0 NOT NULL,
       SUBMITDATETIME       DATE NULL,
       PRIORITY             NUMBER(3) DEFAULT 2 NOT NULL,
       STATUS               NUMBER(3) DEFAULT 1 NOT NULL,
       HASRESPONSES         NUMBER(1) DEFAULT 0 NULL,
       RESTRICTED           NUMBER(3) DEFAULT 0 NULL       
)
TABLESPACE &1
STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0);

CREATE TABLE RQDISCUSSIONSREAD (
       DISCUSSIONID         NUMBER(10) DEFAULT 0 NOT NULL,
       USERID               NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0);

CREATE TABLE RQDISCUSSIONUSERS (
       DISCUSSIONID         NUMBER(10) DEFAULT 0 NOT NULL,
       USERID               NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0);

CREATE TABLE RQDOCUMENTHISTORY (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR2(50) NOT NULL,
       VERSIONLABEL         VARCHAR2(255) NULL,
       VERSIONUSERID        NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      DATE DEFAULT SYSDATE NOT NULL,
       VERSIONREASON        VARCHAR2(&7) NULL,
       OVERFLOWIND          NUMBER(1) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0);

CREATE TABLE RQDOCUMENTS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       DOCUMENTTYPEID       NUMBER(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR2(64) NOT NULL,
       DESCRIPTION          VARCHAR2(255) NULL,
       ITEMLABEL            NUMBER(1) DEFAULT 1 NOT NULL,
       PROTECTSTATE         VARCHAR2(50) NULL,
       UNLOCKTOREVISE       NUMBER(1) DEFAULT 0 NOT NULL,
       DEFERREDRENUMBER     VARCHAR2(50) NULL,
       DEFERREDRESTYLE      VARCHAR2(50) NULL,
       FILEDIRECTORY        VARCHAR2(255) NULL,
       FILENAME             VARCHAR2(255) NOT NULL,
       FILEEXTENSION        VARCHAR2(255) NOT NULL,
       FILEDATETIME         DATE NOT NULL,
       FILESIZE             NUMBER(10) DEFAULT 0 NOT NULL,
       FILEFLAGS            VARCHAR2(50) NULL,
       FILEVERSION          NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR2(50) NOT NULL,
       VERSIONLABEL         VARCHAR2(255) NULL,
       VERSIONUSERID        NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      DATE DEFAULT SYSDATE NOT NULL,
       VERSIONREASON        VARCHAR2(&7) NULL,
       OFFLINEFULLPATH      VARCHAR2(255) NULL,
       OFFLINESTATUS        NUMBER(1) DEFAULT 0 NOT NULL, 
       RQGUID               VARCHAR2(40) NOT NULL,
       FLAGS                NUMBER(10) DEFAULT 0 NULL,
       COMPOSERTYPE         NUMBER(3) DEFAULT 1 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQDOCUMENTTYPES (
       ID                   NUMBER(10) DEFAULT 0 NULL,
       NAME                 VARCHAR2(64) NOT NULL,
       DESCRIPTION          VARCHAR2(255) NULL,
       FILEEXTENSION        VARCHAR2(255) NOT NULL,
       DEFAULTREQUIREMENTTYPE NUMBER(10) DEFAULT 0 NOT NULL,
       TEMPLATENAME         VARCHAR2(64) NULL,
       TEMPLATEDESCRIPTION  VARCHAR2(255) NULL,
       TEMPLATEFILENAME     VARCHAR2(255) NULL,
       TEMPLATEHELPFILE     VARCHAR2(255) NULL,
       RQGUID               VARCHAR2(40) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQDOCUMENTTYPEUSERS (
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       DOCUMENTTYPEID       NUMBER(10) DEFAULT 0 NOT NULL,
       USERGROUPID          NUMBER(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         NUMBER(3) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQEXTERNALPROJECTS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR2(64) NOT NULL,
       RQGUID               VARCHAR2(40) NOT NULL,
       PREFIX               VARCHAR2(20) NULL,
       DIRECTORY            VARCHAR2(255) NOT NULL,
       FILENAME             VARCHAR2(255) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQGENERICTABLETEMP (
       SESSIONID            NUMBER(10) NOT NULL,
       ID                   NUMBER(10) NOT NULL,
       SDATA                VARCHAR2(255) NULL,
       LDATA                NUMBER(10) NULL
)
TABLESPACE &1
STORAGE(INITIAL &5 NEXT &5 PCTINCREASE 0);

CREATE TABLE RQHIERARCHYFINALORDERTEMP (
       SESSIONID            NUMBER(10) NOT NULL,
       REQUIREMENTID        NUMBER(10) NOT NULL,
       LONGTAGNUMBER        VARCHAR2(255) NOT NULL,
       ORDERTAG             VARCHAR2(255) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQHIERARCHYORDEREDLEVELSTEMP (
       SESSIONID            NUMBER(10) NOT NULL,
       REQUIREMENTID        NUMBER(10) NOT NULL,
       LONGTAGNUMBER        VARCHAR2(255) NOT NULL,
       DATAORDER            NUMBER(10) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQHIERARCHYTABLETEMP (
       SESSIONID            NUMBER(10) NOT NULL,
       REQUIREMENTKEY       NUMBER(10) NOT NULL,
       LONGTAGNUMBER        VARCHAR2(255) NOT NULL,
       DATAORDER            NUMBER(10) NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQKEYS (
       KEYCLASS             VARCHAR2(50) NOT NULL,
       LASTKEY              NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL 1K NEXT 1K PCTINCREASE 0);

CREATE TABLE RQOVERFLOWHISTORY (
       OVERFLOWTYPE         NUMBER(1) NOT NULL,
       OVERFLOWID           NUMBER(10) NOT NULL,
       OVERFLOWVERSIONNUMBER VARCHAR2(50) NOT NULL,
       OVERFLOWVERSIONREASON LONG VARCHAR NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQOVERFLOWTEXT (
       OVERFLOWID           NUMBER(10) NOT NULL,
       OVERFLOWTEXT         LONG VARCHAR NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQOVERFLOWVALUES (
       OVERFLOWREQUIREMENTID NUMBER(10) NOT NULL,
       OVERFLOWFIELDID      NUMBER(10) NOT NULL,
       OVERFLOWFIELDVALUE   LONG VARCHAR NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQPACKAGEELEMENTS (
       PACKAGEID            NUMBER(10) NOT NULL,
       REQUIREMENTID        NUMBER(10) NULL,
       DOCUMENTID           NUMBER(10) NULL,
       VIEWID               NUMBER(10) NULL
)
TABLESPACE &1
STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0);

CREATE TABLE RQPACKAGES (
       ID                   NUMBER(10) NOT NULL,
       PROJECTID            NUMBER(10) NOT NULL,
       PARENTID             NUMBER(10) NULL,
       NAME                 VARCHAR2(128) NOT NULL,
       DESCRIPTION          VARCHAR2(255) NULL,
       RQGUID               VARCHAR2(40) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQPROJECTDISCUSSIONS (
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       DISCUSSIONID         NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQPROJECTDOCUMENTS (
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       DOCUMENTID           NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQPROJECTDOCUMENTTYPES (
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       DOCUMENTTYPEID       NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQPROJECTEXTERNALPROJECTS (
       PROJECTID            NUMBER(10) DEFAULT 0 NULL,
       EXTERNALPROJECTID    NUMBER(10) DEFAULT 0 NULL,
       CONNECTATOPEN        NUMBER(1) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQPROJECTHISTORY (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR2(50) NOT NULL,
       VERSIONLABEL         VARCHAR2(255) NULL,
       VERSIONUSERID        NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      DATE DEFAULT SYSDATE NOT NULL,
       VERSIONREASON        VARCHAR2(&7) NULL,
       OVERFLOWIND          NUMBER(1) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQPROJECTREQUIREMENTS (
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       REQUIREMENTID        NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQPROJECTREQUIREMENTTYPES (
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTYPEID    NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQPROJECTS (
       ID                   NUMBER(10) NOT NULL,
       NAME                 VARCHAR2(64) NOT NULL,
       PREFIX               VARCHAR2(20) NULL,
       RQGUID               VARCHAR2(40) NOT NULL,
       DESCRIPTION          VARCHAR2(255) NULL,
       DOCUMENTWORDFORMAT   NUMBER(1) DEFAULT 0 NOT NULL,
       AUTHORID             NUMBER(10) DEFAULT 0 NOT NULL,
       SECURITYENABLED      NUMBER(1) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR2(50) NOT NULL,
       VERSIONLABEL         VARCHAR2(255) NULL,
       VERSIONUSERID        NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      DATE DEFAULT SYSDATE NOT NULL,
       VERSIONREASON        VARCHAR2(&7) NULL,
       RSDS                 VARCHAR2(255) NULL,
       FLAGS                NUMBER(10) DEFAULT 0 NULL,
       XMLVERSION			NUMBER(3) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQPROJECTUSERS (
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       USERGROUPID          NUMBER(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         NUMBER(3) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQQUERYDEFINITIONS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       PROJECTID			NUMBER(10) NOT NULL,
       QUERYNAME            VARCHAR2(64) NOT NULL,
       QUERYDESCRIPTION     VARCHAR2(255) NULL,
       QUERYUSERID          NUMBER(10) DEFAULT 0 NOT NULL,
       QUERYDATETIME        DATE NOT NULL,
       QUERYREASON          VARCHAR2(255) NULL,
       QUERYBASETYPE        NUMBER(10) DEFAULT 1 NOT NULL,
       QUERYSTRING          VARCHAR2(&7) NULL,
	   RQGUID				VARCHAR2(40) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQREQUIREMENTHISTORY (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR2(50) NOT NULL,
       VERSIONLABEL         VARCHAR2(255) NULL,
       VERSIONUSERID        NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      DATE DEFAULT SYSDATE NOT NULL,
       VERSIONREASON        VARCHAR2(&7) NULL,
       OVERFLOWIND          NUMBER(1) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &6 NEXT &6 PCTINCREASE 0);

CREATE TABLE RQREQUIREMENTS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTYPEID    NUMBER(10) DEFAULT 0 NOT NULL,
       TAG                  NUMBER(10) NOT NULL,
       LASTCHILDTAG         NUMBER(10) DEFAULT 0 NULL,
       BOOKMARKNAME         VARCHAR2(64) NULL,
       BOOKMARKDOCUMENTID   NUMBER(10) NULL,
       DOCUMENTPOSITION     NUMBER(10) DEFAULT 0 NULL,
       LONGTAGNUMBER        VARCHAR2(255) NOT NULL,
       REQUIREMENTPREFIX    VARCHAR2(64) NOT NULL,
       REQUIREMENTTEXT      VARCHAR2(&7) NULL,
       OVERFLOWIND          NUMBER(1) DEFAULT 0 NOT NULL,
       DELETED              NUMBER(1) DEFAULT 0 NOT NULL,
       VERSIONNUMBER        VARCHAR2(50) NOT NULL,
       VERSIONLABEL         VARCHAR2(255) NULL,
       VERSIONUSERID        NUMBER(10) NOT NULL,
       VERSIONDATETIME      DATE DEFAULT SYSDATE NOT NULL,
       VERSIONREASON        VARCHAR2(&7) NULL,
       RQGUID               VARCHAR2(40) NOT NULL,
       FLAGS                NUMBER(10) DEFAULT 0 NULL,
       LASTDOCTEXT          NUMBER(10) NULL,
       REQUIREMENTNAME      VARCHAR2(128) NULL,
	   SUSPECTDATETIME		DATE NULL
)
TABLESPACE &1
STORAGE(INITIAL &5 NEXT &5 PCTINCREASE 0);

CREATE TABLE RQREQUIREMENTTYPEFIELDS (
       REQUIREMENTTYPEID    NUMBER(10) DEFAULT 0 NOT NULL,
       USERDEFINEDFIELDID   NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQREQUIREMENTTYPES (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR2(64) NOT NULL,
       DESCRIPTION          VARCHAR2(255) NULL,
       REQUIREMENTPREFIX    VARCHAR2(64) NOT NULL,
       REQUIREMENTSTYLE     NUMBER(3) DEFAULT 0 NOT NULL,
       REQUIREMENTCOLOR     NUMBER(3) DEFAULT 0 NOT NULL,
       REQUIREMENTMUSTCONTAIN VARCHAR2(64) NULL,
       INITIALREQNUMBER     NUMBER(10) DEFAULT 0 NOT NULL,
       LASTREQNUMBER        NUMBER(10) DEFAULT 0 NULL,
       ALLOWEXTERNALREFERENCES NUMBER(1) DEFAULT 0 NOT NULL, 
       RQGUID               VARCHAR2(40) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQREQUIREMENTTYPESTYLES (
       REQUIREMENTTYPEID    NUMBER(10) DEFAULT 0 NULL,
       REQTYPELEVEL         NUMBER(5) DEFAULT 0 NULL,
       STYLE                VARCHAR2(255) NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQREQUIREMENTTYPEUSERS (
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTYPEID    NUMBER(10) DEFAULT 0 NOT NULL,
       USERGROUPID          NUMBER(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         NUMBER(3) DEFAULT 0 NOT NULL,
       REQTEXTACCESSRIGHTS  NUMBER(3) NULL,
       TRACEABILITYACCESSRIGHTS NUMBER(3) NULL,
       REQNAMEACCESSRIGHTS  NUMBER(3) NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQREQUISITE (
       DATASTRUCTURE        NUMBER(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTEXTSIZE  NUMBER(10) NOT NULL,
       FIELDVALUESIZE       NUMBER(10) NOT NULL,
       VERSIONREASONSIZE    NUMBER(10) NOT NULL,
       RESERVEDFLAGS        NUMBER(10) NULL
)
TABLESPACE &1
STORAGE(INITIAL 1K NEXT 1K PCTINCREASE 0);

CREATE TABLE RQTORELATIONSHIPS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       REQUIREMENTID        NUMBER(10) DEFAULT 0 NOT NULL,
       EXTERNALPROJECTID    NUMBER(10) DEFAULT 0 NOT NULL,
       TOID                 NUMBER(10) DEFAULT 0 NOT NULL,
       EXTERNALPROJECTTOID  NUMBER(10) DEFAULT 0 NOT NULL,
       STATE                NUMBER(3) DEFAULT 0 NULL,
       TYPE                 NUMBER(3) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR2(64) NULL,
       VERSIONNUMBER        VARCHAR2(50) NULL,
       VERSIONUSERID        NUMBER(10) DEFAULT 0 NOT NULL,
       VERSIONDATETIME      DATE DEFAULT SYSDATE NOT NULL,
       VERSIONREASON        VARCHAR2(255) NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQTRACETABLEINDIR (
       SESSIONID            NUMBER(10) DEFAULT 0 NOT NULL,
       ID		    NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQTRACETABLETEMP (
       SESSIONID            NUMBER(10) DEFAULT 0 NOT NULL,
       ROOTID               NUMBER(10) DEFAULT 0 NOT NULL,
       ID					NUMBER(10) DEFAULT 0 NOT NULL,
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       LVL                  NUMBER(10) DEFAULT 0 NOT NULL,
       STATUS               NUMBER(3) NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQUSERDEFINEDDOCRELVALUES (
       DOCUMENTID        NUMBER(10) DEFAULT 0 NOT NULL,
       FIELDID           NUMBER(10) DEFAULT 0 NOT NULL,
       RELATEDITEMID     VARCHAR2(255) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQUSERDEFINEDFIELDS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       LABEL                VARCHAR2(32) NOT NULL,
       RANK                 NUMBER(10) DEFAULT 0 NOT NULL,
       AUTOSUSPECT          NUMBER(1) DEFAULT 0 NOT NULL,
       REQUIRED             NUMBER(1) DEFAULT 0 NOT NULL,
       DATATYPE             NUMBER(3) DEFAULT 0 NOT NULL,
       DEFAULTVALUE         VARCHAR2(255) NULL, 
       FLAGS                NUMBER(10) NULL,
       DESCRIPTION			VARCHAR2(255) NULL,
       FIELDPROPERTIES	    LONG VARCHAR NULL,
	   RQGUID				VARCHAR2(40) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQUSERDEFINEDFIELDUSERS (
       PROJECTID            NUMBER(10) DEFAULT 0 NULL,
       FIELDID              NUMBER(10) DEFAULT 0 NOT NULL,
       USERGROUPID          NUMBER(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         NUMBER(3) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQUSERDEFINEDFIELDVALUES (
       REQUIREMENTID        NUMBER(10) DEFAULT 0 NOT NULL,
       FIELDID              NUMBER(10) DEFAULT 0 NOT NULL,
       FIELDVALUE           VARCHAR2(&7) NOT NULL,
       OVERFLOWIND          NUMBER(1) DEFAULT 0 NOT NULL,
       NUMERICVALUE			NUMBER(20, 10) NULL
)
TABLESPACE &1
STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0);

CREATE TABLE RQUSERDEFINEDLISTITEMS (
       ITEMID               NUMBER(10) DEFAULT 0 NOT NULL,
       FIELDID              NUMBER(10) DEFAULT 0 NOT NULL,
       ITEMRANK             NUMBER(5) DEFAULT 0 NOT NULL
                            CONSTRAINT ITEMRANK_CHECK CHECK (ITEMRANK >= 0),
       ITEMTEXT             VARCHAR2(64) NOT NULL,
	   RQGUID				VARCHAR2(40) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQUSERDEFINEDLISTITEMUSERS (
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       LISTITEMID           NUMBER(10) DEFAULT 0 NOT NULL,
       USERGROUPID          NUMBER(10) DEFAULT 0 NOT NULL,
       ACCESSRIGHTS         NUMBER(3) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQUSERDEFINEDLISTVALUES (
       REQUIREMENTID        NUMBER(10) DEFAULT 0 NOT NULL,
       FIELDID              NUMBER(10) DEFAULT 0 NOT NULL,
       LISTITEMID           NUMBER(10) DEFAULT 0 NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0);

CREATE TABLE RQUSERDEFINEDRELVALUES (
       REQUIREMENTID     NUMBER(10) DEFAULT 0 NOT NULL,
       FIELDID           NUMBER(10) DEFAULT 0 NOT NULL,
       RELATEDITEMID     VARCHAR2(255) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQUSERGROUPS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       NAME                 VARCHAR2(64) NOT NULL,
       DESCRIPTION          VARCHAR2(255) NULL,
       PROJECTACCESSRIGHTS  NUMBER(3) DEFAULT 0 NULL,
       DOCTYPEACCESSRIGHTS  NUMBER(3) DEFAULT 0 NULL,
       REQTYPEACCESSRIGHTS  NUMBER(3) DEFAULT 0 NULL,
       ATTRIBUTEACCESSRIGHTS NUMBER(3) DEFAULT 3 NULL,
       LISTITEMACCESSRIGHTS NUMBER(3) DEFAULT 3 NULL,
	   RQGUID				VARCHAR2(40) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE TABLE RQUSERS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       LOGINNAME            VARCHAR2(20) NOT NULL,
       PASSWORD             VARCHAR2(30) NULL,
       GROUPID              NUMBER(10) DEFAULT 0 NULL,
       ACTIVE               NUMBER(1) DEFAULT 1 NOT NULL,
       FULLNAME             VARCHAR2(255) NULL,
       EMAILADDRESS         VARCHAR2(255) NULL,
	   RQGUID				VARCHAR2(40) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE TABLE RQVIEWS (
       ID                   NUMBER(10) DEFAULT 0 NOT NULL,
       PROJECTID            NUMBER(10) DEFAULT 0 NOT NULL,
       REQUIREMENTTYPEID    NUMBER(10) DEFAULT 0 NOT NULL,
       SECONDARYREQTYPEID   NUMBER(10) DEFAULT 0 NULL,
       VIEWNAME             VARCHAR2(64) NOT NULL,
       VIEWDESCRIPTION      VARCHAR2(255) NULL,
       VIEWTYPE             NUMBER(3) DEFAULT 0 NULL,
       VISIBILITY           NUMBER(3) DEFAULT 0 NULL,
       PROPERTIES           LONG VARCHAR NULL,
       QUERYID              NUMBER(10) DEFAULT 0 NULL,
       SECONDARYQUERYID     NUMBER(10) DEFAULT 0 NULL,
       VIEWUSERID           NUMBER(10) DEFAULT 0 NULL,
       VIEWDATETIME         DATE NULL,
       VIEWREASON           VARCHAR2(255) NULL,
	   RQGUID				VARCHAR2(40) NOT NULL
)
TABLESPACE &1
STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);
